./devel/p5-Git-Wrapper, Wrap git(7) command-line interface

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.047nb1, Package name: p5-Git-Wrapper-0.047nb1, Maintainer: pkgsrc-users

Git::Wrapper provides an API for git(7) that uses Perl data structures
for argument passing, instead of CLI-style --options as Git does.

Except as documented, every git subcommand is available as a method
on a Git::Wrapper object. Replace any hyphens in the git command
with underscores. The first argument should be a hashref containing
options and their values. Boolean options are either true (included)
or false (excluded). The remaining arguments are passed as ordinary
command arguments.


Required to run:
[devel/p5-File-chdir] [devel/p5-Sort-Versions] [devel/p5-Devel-CheckBin]

Required to build:
[devel/p5-Test-Exception] [devel/p5-Test-Deep] [pkgtools/cwrappers]

Master sites: (Expand)

SHA1: 7f2f39bb7b8ab3900f686287f825a7c1cea68070
RMD160: 0c9529a0ba936ab701be6c9da579a3c486c4d4a0
Filesize: 29.703 KB

Version history: (Expand)


CVS history: (Expand)


   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2016-09-19 14:55:34 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Updated devel/p5-Git-Wrapper to 0.047
-------------------------------------
0.047     2016-09-18 15:30:58-07:00 America/Los_Angeles
       Properly track commits in test (Graham Knop)
   2016-09-17 15:55:44 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Updated devel/p5-Git-Wrapper to 0.046
-------------------------------------
0.046     2016-09-12 20:13:04-07:00 America/Los_Angeles

        No changes since last development release.

0.045_091 2016-09-10 14:26:13-07:00 America/Los_Angeles (TRIAL RELEASE)

        Properly handle scores in raw log files (Atoomic)
        Update error message for inability to run 'git config --list'

0.045_090 2016-09-08 21:59:58-07:00 America/Los_Angeles (TRIAL RELEASE)

        Fix tabs being expanded in log output in git 2.9+ (Graham Knop)
        Misc POD fixes (gregor herrmann/Debian, Philippe Bruhat)
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-09-01 14:30:33 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update 0.043 to 0.045
---------------------
0.045     2015-07-19 09:46:07-07:00 America/Los_Angeles
        And this time let's actually use a non-trial release, dummy...

0.044_92  2015-07-19 09:45:11-07:00 America/Los_Angeles (TRIAL RELEASE)
        No changes since last development release

0.044_91  2015-07-13 18:12:05-07:00 America/Los_Angeles (TRIAL RELEASE)
        Uncoditionally set no_abbrev option to improve raw log parsing [#67] \ 
(John Anderson)

0.044_90  2015-05-06 15:08:17-07:00 America/Los_Angeles (TRIAL RELEASE)
        - Document 'modifications' method on G::W::Log (John Anderson)
        - Parse raw logs correctly (John Anderson)
	- Set modifications properly in constructor (John Anderson)
   2015-07-12 20:56:37 by Thomas Klausner | Files touched by this commit (405)
Log message:
Comment out dependencies of the style
{perl>=5.16.6,p5-ExtUtils-ParseXS>=3.15}:../../devel/p5-ExtUtils-ParseXS
since pkgsrc enforces the newest perl version anyway, so they
should always pick perl, but sometimes (pkg_add) don't due to the
design of the {,} syntax.

No effective change for the above reason.

Ok joerg
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.